FFmpeg


HOW TO TEST YOUR FFMPEG

FFmpeg handles a lots of formats but only if you install it correctly let’s go to test it

Type in a terminal :

ffmpeg -formats 2>&1 | grep aac

if you get

D aac ADTS AAC
D A mpeg4aac

E=Encoder and so…

Your ffmpeg is not able to use restricted formats like ac3 wma etc etc ! and you’ll get problems !

if you get

D aac ADTS AAC
DEA aac
D A mpeg4aac

your FFmpeg is compiled with aac supports and if you wanna encode on ac3 formats you HAVE TO USE like codec name aac!

EXAMPLE: ffmpeg -i INPUT -acodec aac OUTPUT
fi you get

D aac ADTS AAC
DEA libfaac
D A mpeg4aac

Your FFmpeg is compiled with aac supports but YOU HAVE TO USE LIBFAAC like codec name!

EXAMPLE: ffmpeg -i INPUT -acodec libfaac OUTPUT

this works for many codecs example xvid h264 etc etc

etc etc

HOW TO FIX FFMPEG on Kubuntu system

1-Add Medibuntu repository

then reinstall FFmpeg + these packages  (NUMBER COULD CHANGE BUT YOU CAN SEARCH WITH SYNAPTIC O KPACKAGEKIT )

sudo apt-get install ffmpeg libavdevice-unstripped-52 libavformat-unstripped-52 libavutil-unstripped-49 libpostproc-unstripped-51 libswscale-unstripped-0

Error that makes your ffmpeg sucks

error while loading shared libraries: libavutil.so.50: cannot open shared object file: No such file or directory

that is due to an older ffmpeg version on the pc you have to rid it

try this

sudo apt-get remove –-purge ffmpeg libavdevice-unstripped-52 libavformat-unstripped-52 libavutil-unstripped-49 libpostproc-unstripped-51 libswscale-unstripped-0 

then try again your ffmpeg or try to compile ffmpeg again.

HOW To FIx FFMPEG on Kubuntu 9.04 system COMPILING

sudo apt-get build-dep ffmpeg && sudo apt-get install libx264-dev  libxvidcore4-dev libopenjpeg-dev libamrwb-dev libamrnb-dev  checkinstall  libasound2-dev   libdc1394-22-dev   libgsm1-dev  libimlib2-dev libraw1394-dev libsdl1.2-dev libschroedinger-dev libspeex-dev  libtheora-dev  libvorbis-dev libx11-dev libxext-dev libxvmc-dev quilt texi2html zlib1g-dev libfaad-dev libdirac-dev libfaac-dev libmp3lame-dev

svn checkout svn://svn.ffmpeg.org/ffmpeg/trunk ffmpeg

 cd ffmpeg && ./configure --prefix=/usr/local --enable-shared --enable-libmp3lame --enable-gpl --enable-libfaad --enable-libvorbis --enable-pthreads --enable-libfaac --enable-libxvid --enable-postproc --enable-x11grab --enable-libgsm --enable-libx264  --enable-libtheora --enable-libdc1394 --enable-nonfree --disable-stripping --enable-avfilter --enable-libdirac --disable-decoder=libdirac --enable-libschroedinger --disable-encoder=libschroedinger --enable-avfilter-lavf --enable-libamr-nb --enable-libamr-wb &&  make

HOW To FIx FFMPEG on Kubuntu 9.10 system COMPILING

This could help you to add some feauters on your ffmpeg when this article will get old.The most of configuration can be found here , i mean to enable codecs,

./configure --help | grep enable-lib

that should list every library you can enable. And as you can see on karmic koala 9.10 the old way to compile ffmpeg can not be used again, just because amr libraries have changed name and some feauters have been added like vdpau for nvdia cars only.

So now you need to install :

sudo apt-get install libopencore-amrnb-dev libopencore-amrwb-dev

when i tried to compile ffmpeg then i get some errors like this

ibavcodec/vdpau.h:76: error: expected specifier-qualifier-list before ‘VdpPictureInfoMPEG4Part2’

and of course this is an error because i have not disabled vdpau support that is only for nvidia cards. and i have an intel… well so you should search something to disable with

./configure --help | grep disable-

Because of course you use software like kdenlive or software that use ffmpeg YOU NEED TO ENABLE THIS OPTION ;

–enable-shared

And you should REMOVE FFMPEG AND EVERY OLD FFMPEG FROM YOUR SYSTEM THAT SHOULD BE INSTALLED ON

/usr

so to avoid some problems with libraries you need to install ffmpeg on /usr/local so the most of configure script has

/usr/local like prefix by default anyway to be sure ….

–prefix=/usr/local

So this could be a configuration :(here there is not x264 becasue on kubuntu karmic seems there are some problems with x264 version… -.-”  **)

--prefix=/usr/local --enable-shared --enable-gpl --enable-version3 --enable-nonfree  --enable-postproc --enable-avfilter --enable-avfilter-lavf --enable-pthreads --enable-x11grab  --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libdc1394 --enable-libdirac  --enable-libfaac --enable-libfaad --enable-libfaadbin --enable-libgsm --enable-libmp3lame  --enable-libopenjpeg --enable-libschroedinger --enable-libtheora --enable-libvorbis  --enable-libxvid --disable-vdpau

and this one another to add some libraries that you never use in your life …

./configure  --prefix=/usr/local --enable-shared  --enable-gpl --enable-version3 --enable-nonfree --enable-postproc --enable-avfilter --enable-avfilter-lavf --enable-pthreads --enable-x11grab --enable-gray    --enable-bzlib --enable-libopencore-amrnb  --enable-libopencore-amrwb --enable-libdc1394  --enable-libdirac   --enable-libfaac --enable-libfaad --enable-libfaadbin --enable-libgsm --enable-libmp3lame  --enable-libopenjpeg  --enable-libschroedinger  --enable-libspeex --enable-libtheora  --enable-libvorbis     --enable-libxvid   --enable-zlib  --enable-gprof  --enable-extra-warnings --disable-vdpau

if you want 264 encoder you should download and installl libx264 too… -.-”

git clone git://git.videolan.org/x264.git
git clone git://git.videolan.org/x264.git

cd x264  &&  ./configure --enable-shared  &&  make -j3  &&  sudo checkinstall


**if you want install normally you should use sudo make install instead of sudo checkinstall.

then recompile ffmpeg you should get errors on compiling ffmpeg just because this library is going to be installed in /usr/local/lib instead of /usr/lib…

for my own use i installed ffmpeg on /usr … even if this can be a pain in some situations

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: